package ch.zhaw.gartenverwaltung.types;

import java.time.MonthDay;

public enum Seasons {
    AllSEASONS("--01-01", "--12-31", "All Seasons"),
    SPRING("--03-01", "--05-30", "Spring"),
    SUMMER("--06-01", "--08-30", "Summer"),
    AUTUMN("--09-01", "--11-30", "Autumn"),
    WINTER("--12-01", "--02-28", "Winter");

    public final String startDate;
    public final String endDate;
    public final String name;

    Seasons(String startDate, String endDate, String name) {
        this.startDate = startDate;
        this.endDate = endDate;
        this.name = name;
    }

    public MonthDay getStartDate() {
        return MonthDay.parse(this.startDate);
    }
    public MonthDay getEndDate() {
        return MonthDay.parse(this.endDate);
    }
    public String getName() {
        return this.name;
    }
}
